Get user details by criteria
GET/scim/v2/Users
Gets information for a user, filtered by specified criteria.
You must filter the response by this SCIM 2.0 filter criteria:
externalId eq "value"– Find user by external ID.emails.value eq "email@example.com"– Find user by email address.
Returns a maximum of one user. If multiple users match the filter, returns an error.
Request
Query Parameters
externalId eq "external-id-value"emails.value eq "user@example.com"- externalId
Possible values: [externalId eq "string", emails.value eq "email@example.com"]
SCIM 2.0 filter expression. Supported filters:
Description: Filter by external ID.
Example: externalId eq "ext-123"
Description: Filter by email address.
Example: emails.value eq "john.doe@example.com"
Responses
- 200
- 400
- 401
- 403
- 500
Users found successfully
- application/scim+json
- Schema
- Example (from schema)
- emptyResult
Schema
Array [
Array [
]
admin: Organization administrator- Empty array or null: Basic member
]
Total number of results.
1-based index of the first result.
Number of results per page.
Resources
object[]
required
Encrypted account ID (external format).
External identifier for the user.
Unique username for the user.
name
object
SCIM Name complex type
Full name.
Family name. Also known as last name.
Given name. Also known as first name.
Middle name.
Honorific prefix, such as Mr. or Dr.
Honorific suffix, such as Jr. or Sr.
Display name for the user.
emails
object[]
Email address.
Possible values: [work, home, other]
Email type.
Indicates whether this email is the primary email.
Indicates whether the user account is active.
meta
object
SCIM Meta complex type
Resource type.
Creation timestamp.
Last modification timestamp.
Resource location URL.
Resource version/ETag.
urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg
object
Indeed-specific employer organization extension
Employer organization ID.
Possible values: [admin]
User roles within the employer organization:
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 1, "startIndex": 1, "itemsPerPage": 100, "Resources": [ { "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:User", "urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg" ], "id": "encrypted-account-key-123", "externalId": "ext-user-123", "userName": "john.doe@example.com", "name": { "formatted": "Mr. John Q. Doe", "familyName": "Doe", "givenName": "John", "middleName": "Q", "honorificPrefix": "Mr.", "honorificSuffix": "Jr." }, "displayName": "John Doe", "emails": [ { "value": "john.doe@example.com", "type": "work", "primary": true } ], "active": true, "meta": { "resourceType": "User", "created": "2023-01-01T00:00:00Z", "lastModified": "2023-01-01T00:00:00Z", "location": "https://api.indeed.com/scim/v2/Users/encrypted-account-key-123", "version": "\"W/1\"" }, "urn:ietf:params:scim:schemas:extension:indeed:2.0:EmployerOrg": { "id": "org-123", "roles": [ "admin" ] } } ]}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 0, "startIndex": 1, "itemsPerPage": 100, "Resources": []}Bad Request - Invalid request format or parameters
- application/scim+json
- Schema
- Example (from schema)
- invalidFilter
- invalidUser
Schema
HTTP status code as string.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
SCIM error type.
Human-readable error description.
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidFilter", "detail": "Invalid filter: No filter provided"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidFilter", "detail": "Invalid filter: No filter provided"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidValue", "detail": "Invalid SCIM user data"}Unauthorized - Invalid or missing authentication
- application/scim+json
- Schema
- Example (from schema)
- Example
Schema
HTTP status code as string.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
SCIM error type.
Human-readable error description.
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidFilter", "detail": "Invalid filter: No filter provided"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "401", "detail": "Authentication required"}Forbidden - Insufficient permissions
- application/scim+json
- Schema
- Example (from schema)
- Example
Schema
HTTP status code as string.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
SCIM error type.
Human-readable error description.
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidFilter", "detail": "Invalid filter: No filter provided"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "403", "detail": "Insufficient permissions"}Internal Server Error
- application/scim+json
- Schema
- Example (from schema)
- Example
Schema
HTTP status code as string.
Possible values: [invalidFilter, tooMany, uniqueness, mutability, invalidSyntax, invalidPath, noTarget, invalidValue, invalidVers, sensitive]
SCIM error type.
Human-readable error description.
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "400", "scimType": "invalidFilter", "detail": "Invalid filter: No filter provided"}{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:Error" ], "status": "500", "detail": "An unexpected error occurred"}